Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pearsoneduc.ip.op
Class BinaryMorphologicalOp

    java.lang.Object
      |
      +--com.pearsoneduc.ip.op.StandardGreyOp
            |
            +--com.pearsoneduc.ip.op.BinaryMorphologicalOp

Direct Known Subclasses:
  BinaryCloseOp, BinaryDilateOp, BinaryErodeOp, BinaryOpenOp

public class BinaryMorphologicalOp
extends StandardGreyOp

Adapts StandardGreyOp for binary morphological operations. The method checkImage() is overridden to check that the source image is either a true binary image or a greyscale image with no more than two grey levels.

Version:
  1.0 [1999/08/30]
Author:
  Nick Efford

Field Summary
`protected int` | `nonZeroValue` Non-zero value assigned to pixels in the output image.

Constructor Summary
`BinaryMorphologicalOp()`

Method Summary
`void` | `checkImage(java.awt.image.BufferedImage image)` Checks that the image to be processed is of the correct type - either a true binary image or a two-level 8-bit greyscale image with 0 as one of the values.

Methods inherited from class com.pearsoneduc.ip.op.StandardGreyOp
`createCompatibleDestImage, filter, getBounds2D, getPoint2D, getRenderingHints`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nonZeroValue

    protected int nonZeroValue

  Non-zero value assigned to pixels in the output image.

Constructor Detail

### BinaryMorphologicalOp

    public BinaryMorphologicalOp()

Method Detail

### checkImage

    public void checkImage(java.awt.image.BufferedImage image)

  Checks that the image to be processed is of the correct type - either a true binary image or a two-level 8-bit greyscale image with 0 as one of the values.
  Parameters:
    `image` - image to be processed
  Throws:
    ImagingOpException - if the image is not of the correct type.
  Overrides:
    checkImage in class StandardGreyOp

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD